data
====

Various data types.

Basic types:

* [empty](empty.lean) : the empty type
* [unit](unit.lean) : the singleton type
* [bool](bool.lean) : the boolean values
* [num](num.lean) : generic numerals
* [string](string.lean) : ascii strings
* [nat](nat/nat.md) : the natural numbers
* [int](int/int.md) : the integers

Constructors:

* [prod](prod.lean) : cartesian product
* [sum](sum.lean)
* [sigma](sigma.lean) : the dependent product
* [option](option.lean)
* [subtype](subtype.lean)
* [quotient](quotient/quotient.md)
* [list](list/list.md)
* [set](set.lean)